$ on warning then goto handle_error
$ on control_y then goto handle_error
$!
$!****************************************************************************
$!
$!	48-0913 AMP/TCA 2016 Download Setup Parameters Procedure
$!
$! This procedure is used to download the setup parameters for all 
$! of the AMP/TCAs connected to detector 1 and 2. 
$!
$! Revision History:
$!
$!	08-DEC-1996	ARW	Original
$!
$!****************************************************************************
$!
$! See if detector one exists, if not show the user an error message.
$ if f$trnlnm("ACQSTATE_''username'_DET01","ND_MCA_SYSTEM_TABLE") .eqs. ""
$ then
$    ND_SA$POP_MSG_ACKN "''txt_det1notavail'"
$    exit
$ endif
$!
$! Call the routine to check out the hardware modules. 
$ @nd_0913_com:nd_0913_checkmods.com 
$! 
$! Clear the cc nim errors. 
$ pars/command mca0:['username']det01 astfbadcal=0 astfccerr=0 ! astfccfemod=0
$!
$! Do the same for detector two if it exists. 
$ if f$trnlnm("ACQSTATE_''username'_DET02","ND_MCA_SYSTEM_TABLE") .nes. ""
$ then 
$   pars/command mca0:['username']det02 astfbadcal=0 astfccerr=0 ! astfccfemod=0
$ endif
$!
$! Call the routine to program all of the modules. 
$ i = 1
$ loop1:
$!
$!    Program this AMP/TCA on detector 1. 
$     chan_number = f$integer(i)
$     if (chnactive_'f$fao("!2ZL",chan_number)' .ne. 0)
$     then
$        ND_SA$POP_MSG "''txt_progtca' ''i'"
$        @nd_0913_com:nd_0913_progtca.com 1 'i' 1 1 0
$     endif
$!
$ i = i + 1
$ if i .le. 16 then goto loop1
$!
$! Call the routine to program all modules on detector 2 if it exists. 
$ if f$trnlnm("ACQSTATE_''username'_DET02","ND_MCA_SYSTEM_TABLE") .nes. ""
$ then 
$!
$    i = 17
$    loop2:
$!
$!       Program this AMP/TCA on detector 2. 
$        chan_number = f$integer(i)
$        if (chnactive_'f$fao("!2ZL",chan_number)' .ne. 0)
$        then
$           ND_SA$POP_MSG "''txt_progtca' ''i'"
$           @nd_0913_com:nd_0913_progtca.com 2 'i' 1 1 0
$        endif
$!
$    i = i + 1
$    if i .le. 32 then goto loop2
$!
$ endif
$!
$finished:
$ exit
$!
$!------------------------------------------------------------------------
$! Main error handling exit point. 
$ handle_error:
$    status=$status
$    statstr=f$message(status)
$    proc=f$environment("PROCEDURE")
$    procname=f$parse(proc,,,"NAME")
$    ND_SA$POP_MSG_ACKN "''procname' ''statstr'"
$    exit 1
$!
