$!
$!****************************************************************************
$!
$!       48-0913 AMP/TCA  "Initialize Directories" Command Procedure 
$!
$! This procedure is used to create the directories for the 48-0913 AMP/TCA
$! software procedures.  This routine creates the directory structure
$! and copies in the default setup files.  On any error, it displays an 
$! an error dialog and stops. (This routine assumes that the graphical 
$! DCL environment has already been initialized.)
$!
$! This routine sets up the user's directory so that other users in the 
$! same group may rwed files.
$!
$!	Parameter Summary : 
$!			    p1              Is the top level user directory
$!					    containing 0913_DATA.DIR
$!
$!****************************************************************************
$!
$! Revision History:
$!
$!	21-NOV-1996	ARW	Original
$!
$!****************************************************************************
$!
$ on control_y then continue
$!
$! First thing we do is trim off the right bracket
$!
$ p1 = f$edit(p1,"TRIM,COMPRESS,UPCASE")
$ oldlen = f$length(p1)
$ dirname = f$element(0,"]",p1)
$!
$! Did we find a right bracket?
$!
$ newlen = f$length(dirname)
$ if (newlen .eq. oldlen) 
$ then
$!
$! Bracket was not found.  This probably means that a logical name
$! was used to specify the default directory.  First translate
$! the logical name.
$!
$     dirname = f$trnlnm(p1)
$!
$! Any luck?
$! 
$     if (f$length(dirname) .eq. 0) then goto nodir
$!
$! Trim off the right bracket
$!
$     oldlen = f$length(dirname)
$     dirname = f$element(0,"]",dirname)
$!
$! Make sure we found a bracket this time
$!
$     newlen = f$length(dirname)
$     if (newlen .eq. oldlen) then goto nodir
$ endif
$!
$! Now create the directories.  First get the top level directory.
$! 
$ fulldir = "''dirname'"+".0913_data]"
$ create/directory/log/prot=(s:rwe,o:rwe,g:re,w:re) 'fulldir'
$ set acl/acl=(default_protection,s:rwed,o:rwed,g:re,w:re) -
        'dirname']0913_data.DIR
$!
$! Now create all of the subdirectories
$!
$ fulldir = "''dirname'"+".0913_data.setup]"
$ create/directory/log/prot=(s:rwe,o:rwe,g:re,w:re) 'fulldir'
$!
$! Copy setup files
$!
$ fulldir = "''dirname'"+".0913_data.setup]"
$ if f$search("nd_0913_demo:setup.cnf").nes."" then -
	copy nd_0913_demo:setup.cnf 'fulldir'		!setup data
$!
$! Done; return
$!
$ exit
$!
$! Error creating directories
$!
$nodir:
$  ND_SA$POP_MSG_ACKN "''txt_errcrdir'"
$  stop
