$ on warning then goto nodir
$ on control_y then exit
$!
$!****************************************************************************
$!
$!          48-0913 "Define Logical Names" Command Procedure 
$!
$! This procedure is used to set the user logical names for the 48-0913
$! AMP/TCA 2016 System procedures.  It will not redefine any logical names 
$! that are already set. 
$!
$!	Parameter Summary : 
$!			    p1              Is the top level user directory
$!					    containing 0913_DATA.DIR
$! Revision History:
$!
$!	25-NOV-1996	ARW	Original
$!
$!****************************************************************************
$!
$! First we want to put the directory name in a form that makes it
$! easier to define the remaining directories.  This involves stripping
$! of the right bracket and replacing it with a period. 
$!
$ p1 = f$edit(p1,"TRIM,COMPRESS,UPCASE")
$ oldlen = f$length(p1)
$!
$! Trim off the right bracket
$!
$ dirname = f$element(0,"]",p1)
$!
$! Did we find a right bracket?
$!
$ newlen = f$length(dirname)
$ if (newlen .eq. oldlen) 
$ then
$!
$! Bracket was not found.  This probably means that a logical name
$! was used to specify the default directory.  First translate
$! the logical name.
$!
$     dirname = f$trnlnm(p1)
$!
$! Any luck?
$! 
$     if (f$length(dirname) .eq. 0) then goto nodir
$!
$! Trim off the right bracket
$!
$     oldlen = f$length(dirname)
$     dirname = f$element(0,"]",dirname)
$!
$! Make sure we found a bracket this time
$!
$     newlen = f$length(dirname)
$     if (newlen .eq. oldlen) then goto nodir
$ endif
$!
$! Now we have a directory without a right bracket.  Add a period
$! and we should be o.k.
$!
$ dirname = "''dirname'" + "."
$!
$! Define a logical for the top level directory
$!
$ if (f$trnlnm("nd_0913_data") .eqs. "") 
$ then
$    fulldir = "''dirname'" + "0913_DATA]"
$    define/job/nolog nd_0913_data 'fulldir'
$ endif
$!
$! Has the setup log been set?
$!
$ if (f$trnlnm("nd_0913_setup") .eqs. "") 
$ then
$    fulldir = "''dirname'" + "0913_DATA.SETUP]"
$    define/job/nolog nd_0913_setup 'fulldir'
$ endif
$!
$! That should be it; just return
$!
$ exit
$!
$! Error generating logical names
$!
$nodir:
$  ND_SA$POP_MSG_ACKN "''smstxt_logdeferr'"
$  stop
