$ on warning then goto handle_error
$ on control_y then goto handle_error
$!
$!****************************************************************************
$!
$!	48-0913 AMP/TCA 2016 TCA Window Setup Procedure
$!
$! This procedure is used to setup the TCA windows. 
$!
$! Revision History:
$!
$!	08-DEC-1996	ARW	Original
$!
$!****************************************************************************
$!
$! See if detector one exists, if not show the user an error message.
$ if f$trnlnm("ACQSTATE_''username'_DET01","ND_MCA_SYSTEM_TABLE") .eqs. ""
$ then
$    ND_SA$POP_MSG_ACKN "''txt_det1notavail'"
$    exit
$ endif
$!
$! Call the routine to check out the hardware modules. 
$ @nd_0913_com:nd_0913_checkmods.com 
$! 
$! Clear the cc nim errors. 
$ pars/command mca0:['username']det01 astfbadcal=0 astfccerr=0 ! astfccfemod=0
$!
$! Do the same for detector two if it exists. 
$ if f$trnlnm("ACQSTATE_''username'_DET02","ND_MCA_SYSTEM_TABLE") .nes. ""
$ then 
$   pars/command mca0:['username']det02 astfbadcal=0 astfccerr=0 ! astfccfemod=0
$ endif
$!
$! If the channel number is not set yet, then default to 1. 
$ pars/command/read nd_0913_setup:setup sucint1
$ if (f$integer(sucint1) .lt. 1) .or. (f$integer(sucint1) .gt. 32)
$ then 
$    pars/command nd_0913_setup:setup sucint1=1  
$ endif
$!
$tcasloop1:
$!
$! Pop up the dialog to allow the user to select the channel. 
$  ND_SA$PARS "nd_0913_setup:setup nd_0913_text:channel_choice.fpl"
$!
$! If the user pressed cancel, then simply exit. 
$ if ND_SA_REPLY .eqs. CP_REPLY_CANCEL then exit
$!
$! Get the user's choice of channel. 
$ pars/command/read nd_0913_setup:setup.cnf sucint1
$!
$! See if this channel is active or not. 
$ channel = f$integer(sucint1)
$ if (chnactive_'f$fao("!2ZL",channel)' .eq. 0)
$ then 
$    ND_SA$POP_MSG_ACKN "''txt_offline'"
$    goto tcasloop1
$ endif
$!
$! Calculate the new detector input number. 
$ newinputnum == ((channel - 1) / 16) + 1 
$!
$! Pull out all of the information required for this record (sucint1)
$! and set up local job logicals that will be used to populate the 
$! data entry dialog. 
$!
$ pars/command/read/record='sucint1' nd_0913_setup:setup.cnf -
		surreal1 - 
		surreal2 - 
		surreal3 - 
		surreal4 
$ pars/command/read/record='sucint1' nd_0913_setup:setup.cnf -
		surreal5 - 
		surreal6 -
		surflag4 - 
		surflag5 - 
		surflag6
$ pars/command/read nd_0913_setup:setup.cnf -
		sucflag0 
$!
$! Based on the actual parameter values, set up the logicals used in 
$! the fpl that is displayed to the user. 
$!
$  if (f$edit(sucflag0,"TRIM,COMPRESS,UPCASE").eqs."YES")
$  then 
$     define/job/nolog nd_apply      "1"
$  else
$     define/job/nolog nd_apply      "0"
$  endif
$!
$!
$  define/job/nolog nd_centroid1  "''surreal1'"
$  define/job/nolog nd_centroid2  "''surreal2'"
$  define/job/nolog nd_centroid3  "''surreal3'"
$!
$  define/job/nolog nd_width1     "''surreal4'"
$  define/job/nolog nd_width2     "''surreal5'"
$  define/job/nolog nd_width3     "''surreal6'"
$!
$  if (f$edit(surflag4,"TRIM,COMPRESS,UPCASE").eqs."YES")
$  then 
$     define/job/nolog nd_outenable1 "1"
$  else
$     define/job/nolog nd_outenable1 "0"
$  endif
$!
$  if (f$edit(surflag5,"TRIM,COMPRESS,UPCASE").eqs."YES")
$  then 
$     define/job/nolog nd_outenable2 "1"
$  else
$     define/job/nolog nd_outenable2 "0"
$  endif
$!
$  if (f$edit(surflag6,"TRIM,COMPRESS,UPCASE").eqs."YES")
$  then 
$     define/job/nolog nd_outenable3 "1"
$  else
$     define/job/nolog nd_outenable3 "0"
$  endif
$!
$  define/job/nolog nd_module "''sucint1'"
$!
$tcasloop2:
$!
$! Display the sca setup dialog. 
$ ND_SA$PARS "nd_0913_setup:setup nd_0913_text:sca_setup.fpl"
$!
$! If the user pressed cancel, then simply exit. 
$ if ND_SA_REPLY .eqs. CP_REPLY_CANCEL 
$ then 
$    exit
$ endif
$!
$! Otherwise, interpret the results and put everything back into the 
$! setup configuration file for this record. 
$!
$  if (f$edit(f$trnlnm("ND_APPLY","lnm$job"),-
                 "TRIM,COMPRESS,UPCASE").eqs."1")
$  then 
$     sucflag0 = 1
$  else
$     sucflag0 = 0
$  endif
$!
$  surreal1 = "''f$trnlnm("ND_CENTROID1","lnm$job")'"
$  surreal2 = "''f$trnlnm("ND_CENTROID2","lnm$job")'"
$  surreal3 = "''f$trnlnm("ND_CENTROID3","lnm$job")'"
$!
$  surreal4 = "''f$trnlnm("ND_WIDTH1","lnm$job")'"
$  surreal5 = "''f$trnlnm("ND_WIDTH2","lnm$job")'"
$  surreal6 = "''f$trnlnm("ND_WIDTH3","lnm$job")'"
$!
$  if (f$edit(f$trnlnm("ND_OUTENABLE1","lnm$job"),-
                 "TRIM,COMPRESS,UPCASE").eqs."1")
$  then 
$     surflag4 = 1
$  else
$     surflag4 = 0
$  endif
$!
$  if (f$edit(f$trnlnm("ND_OUTENABLE2","lnm$job"),-
                 "TRIM,COMPRESS,UPCASE").eqs."1")
$  then 
$     surflag5 = 1
$  else
$     surflag5 = 0
$  endif
$!
$  if (f$edit(f$trnlnm("ND_OUTENABLE3","lnm$job"),-
                 "TRIM,COMPRESS,UPCASE").eqs."1")
$  then 
$     surflag6 = 1
$  else
$     surflag6 = 0
$  endif
$!
$! Move everything back into the setup configuration file. 
$!
$ pars/command/record='sucint1' nd_0913_setup:setup.cnf -
		surreal1="''surreal1'" - 
		surreal2="''surreal2'" - 
		surreal3="''surreal3'" - 
		surreal4="''surreal4'"
$ pars/command/record='sucint1' nd_0913_setup:setup.cnf -
		surreal5="''surreal5'" - 
		surreal6="''surreal6'" -
		surflag4="''surflag4'" - 
		surflag5="''surflag5'" - 
		surflag6="''surflag6'"
$ pars/command nd_0913_setup:setup.cnf -
		sucflag0="''sucflag0'"
$!
$! Check for valid centroid/width values (they must not exceed
$! the energy range entered for this record).  This program returns
$! the local symbol ENERGYCHECK for testing. 
$ nd_tca_checkenergy :== $nd_sysexe:nd_tca_checkenergy.exe
$ nd_tca_checkenergy nd_0913_setup:setup.cnf
$!
$ if energycheck .eqs. "BAD" 
$ then 
$    ND_SA$POP_MSG_ACKN "''txt_badvalues'"
$    goto tcasloop2
$ endif
$!
$! If it reached this point, then call the routine to program the 
$! module number that was selected.  But do not program the AMP. 
$ ND_SA$POP_MSG "''txt_progtca' ''sucint1'"
$ @nd_0913_com:nd_0913_progtca.com 'newinputnum' 'sucint1' 0 1 'sucflag0'
$!
$! Check the return status.
$ if (ND_PROGTCASTATUS .eqs. "ERROR") 
$ then 
$    exit
$ endif
$!
$! Go back for more setup.
$ goto tcasloop1
$!
$finished:
$ exit
$!
$!------------------------------------------------------------------------
$! Main error handling exit point. 
$ handle_error:
$    status=$status
$    statstr=f$message(status)
$    proc=f$environment("PROCEDURE")
$    procname=f$parse(proc,,,"NAME")
$    ND_SA$POP_MSG_ACKN "''procname' ''statstr'"
$    exit 1
$!
