$ on warning then goto handle_error
$ on control_y then goto handle_error
$!
$!****************************************************************************
$!
$!	48-0913 AMP/TCA 2016 View Setup Procedure
$!
$! This procedure is used to view the setup. 
$!
$! Revision History:
$!
$!	08-DEC-1996	ARW	Original
$!
$!****************************************************************************
$!
$! See if detector one exists, if not show the user an error message.
$ if f$trnlnm("ACQSTATE_''username'_DET01","ND_MCA_SYSTEM_TABLE") .eqs. ""
$ then
$    ND_SA$POP_MSG_ACKN "''txt_det1notavail'"
$    exit
$ endif
$!
$! If the channel number is not set yet, then default to 1. 
$ pars/command/read nd_0913_setup:setup sucint1
$ if (f$integer(sucint1) .lt. 1) .or. (f$integer(sucint1) .gt. 32)
$ then 
$    pars/command nd_0913_setup:setup sucint1=1  
$ endif
$!
$loop1:
$!
$! Pop up the dialog to allow the user to select the channel. 
$  ND_SA$PARS "nd_0913_setup:setup nd_0913_text:channel_choice.fpl"
$!
$! If the user pressed cancel, then simply exit. 
$ if ND_SA_REPLY .eqs. CP_REPLY_CANCEL then exit
$!
$! Get the user's choice of channel. 
$ pars/command/read nd_0913_setup:setup.cnf sucint1
$!
$! See if this channel is active or not. 
$! channel = f$integer(sucint1)
$! if (chnactive_'f$fao("!2ZL",channel)' .eq. 0)
$! then 
$!    ND_SA$POP_MSG_ACKN "''txt_offline'"
$!    goto loop1
$! endif
$!
$! Pull out all of the information required for this record (sucint1)
$! and set up local job logicals that will be used to populate the 
$! data entry dialog. 
$!
$ pars/command/read/record='sucint1' nd_0913_setup:setup.cnf -
		surreal1 - 
		surreal2 - 
		surreal3 - 
		surreal4 
$ pars/command/read/record='sucint1' nd_0913_setup:setup.cnf -
		surreal5 - 
		surreal6 -
		surflag4 - 
		surflag5 - 
		surflag6
$ pars/command/read nd_0913_setup:setup.cnf -
		sucflag0 
$!
$! Based on the actual parameter values, set up the logicals used in 
$! the fpl that is displayed to the user. 
$!
$  if (f$edit(sucflag0,"TRIM,COMPRESS,UPCASE").eqs."YES")
$  then 
$     define/job/nolog nd_apply      "1"
$  else
$     define/job/nolog nd_apply      "0"
$  endif
$!
$!
$  define/job/nolog nd_centroid1  "''surreal1'"
$  define/job/nolog nd_centroid2  "''surreal2'"
$  define/job/nolog nd_centroid3  "''surreal3'"
$!
$  define/job/nolog nd_width1     "''surreal4'"
$  define/job/nolog nd_width2     "''surreal5'"
$  define/job/nolog nd_width3     "''surreal6'"
$!
$  if (f$edit(surflag4,"TRIM,COMPRESS,UPCASE").eqs."YES")
$  then 
$     define/job/nolog nd_outenable1 "1"
$  else
$     define/job/nolog nd_outenable1 "0"
$  endif
$!
$  if (f$edit(surflag5,"TRIM,COMPRESS,UPCASE").eqs."YES")
$  then 
$     define/job/nolog nd_outenable2 "1"
$  else
$     define/job/nolog nd_outenable2 "0"
$  endif
$!
$  if (f$edit(surflag6,"TRIM,COMPRESS,UPCASE").eqs."YES")
$  then 
$     define/job/nolog nd_outenable3 "1"
$  else
$     define/job/nolog nd_outenable3 "0"
$  endif
$!
$ define/job/nolog nd_module "''sucint1'"
$!
$! Display the sca setup dialog. 
$ ND_SA$PARS "nd_0913_setup:setup nd_0913_text:scav_setup.fpl"
$!
$! If the user pressed cancel, then simply exit. 
$ if ND_SA_REPLY .eqs. CP_REPLY_CANCEL 
$ then 
$    exit
$ endif
$!
$! Go back to view more channels. 
$ goto loop1
$!
$finished:
$ exit
$!
$!------------------------------------------------------------------------
$! Main error handling exit point. 
$ handle_error:
$    status=$status
$    statstr=f$message(status)
$    proc=f$environment("PROCEDURE")
$    procname=f$parse(proc,,,"NAME")
$    ND_SA$POP_MSG_ACKN "''procname' ''statstr'"
$    exit 1
$!
